#include<stdio.h>
#include<stdlib.h>

//definimos la estructura (el tipo)

struct fecha{
    int dia;
    int mes;
    int anio;
};

struct persona{
    char nombre[50];
    int edad;
    char email[50];
    float altura;
    struct fecha fregistro;
};

int main(){

    //declarar variables de ese tipo de estructura y darles valores
    struct persona p1;
    struct persona p2;
    struct persona p3;
    int numero;

    //para darle valor a cada uno de sus campos, lo tenemos que hacer campo a campo
    //para acceder a un campo utilizamos el operador .
    // el operador . se conoce como acceso a miembro de una estructura 


/* Datos persona 1*/

    printf("\nIntroduce el nombre de la persona 1: ");
    fflush(stdin);
    scanf("%s", p1.nombre);

    printf("\nIntroduce ahora la edad: ");
    scanf("%d", &p1.edad);

    printf("\nIntroduce el mail: ");
    fflush(stdin);
    scanf("%s", p1.email);

    printf("\nIntroduce la altura: ");
    scanf("%f", &p1.altura);

    printf("\nIntroduce el día de registro: ");
    scanf("%d", &p1.fregistro.dia);

    printf("\nIntroduce el día de registro: ");
    scanf("%d", &p1.fregistro.mes);

    printf("\nIntroduce el día de registro: ");
    scanf("%d", &p1.fregistro.anio);

    printf("\nLa persona registrada es %s con %d años, con email %s y una altura de %.2f",  p1.nombre,
                                                                                            p1.edad,
                                                                                            p1.email,
                                                                                            p1.altura);

    printf("\nFecha de registro: %d/%d/%d", p1.fregistro.dia, p1.fregistro.mes, p1.fregistro.anio);

    printf("\n");



/* Datos persona 2*/

    printf("\nIntroduce el nombre de la persona 2: ");
    fflush(stdin);
    scanf("%s", p2.nombre);

    printf("\nIntroduce ahora la edad: ");
    scanf("%d", &p2.edad);

    printf("\nIntroduce el mail: ");
    fflush(stdin);
    scanf("%s", p2.email);

    printf("\nIntroduce la altura: ");
    scanf("%f", &p2.altura);


    printf("\nIntroduce el día de registro: ");
    scanf("%d", &p2.fregistro.dia);

    printf("\nIntroduce el día de registro: ");
    scanf("%d", &p2.fregistro.mes);

    printf("\nIntroduce el día de registro: ");
    scanf("%d", &p2.fregistro.anio);

    printf("\nLa persona registrada es %s con %d años, con email %s y una altura de %.2f",  p2.nombre,
                                                                                            p2.edad,
                                                                                            p2.email,
                                                                                            p2.altura);

    printf("\nFecha de registro: %d/%d/%d", p2.fregistro.dia, p2.fregistro.mes, p2.fregistro.anio);

    printf("\n");


/* Datos persona 3*/


    printf("\nIntroduce el nombre de la persona 3: ");
    fflush(stdin);
    scanf("%s", p3.nombre);

    printf("\nIntroduce ahora la edad: ");
    scanf("%d", &p3.edad);

    printf("\nIntroduce el mail: ");
    fflush(stdin);
    scanf("%s", p3.email);

    printf("\nIntroduce la altura: ");
    scanf("%f", &p3.altura);

    printf("\nIntroduce el día de registro: ");
    scanf("%d", &p3.fregistro.dia);

    printf("\nIntroduce el día de registro: ");
    scanf("%d", &p3.fregistro.mes);

    printf("\nIntroduce el día de registro: ");
    scanf("%d", &p3.fregistro.anio);
    
    printf("\nLa persona registrada es %s con %d años, con email %s y una altura de %.2f",  p3.nombre,
                                                                                            p3.edad,
                                                                                            p3.email,
                                                                                            p3.altura);

    printf("\nFecha de registro: %d/%d/%d", p1.fregistro.dia, p1.fregistro.mes, p1.fregistro.anio);

    printf("\n");



}

